package com.gic.enterprise.error;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public enum ErrorCode implements Error{
    /**
     * 缺少参数
     */
    ERR_2("0002", "缺少参数"),
    /**
     * 系统异常
     */
    ERR_3("0003", "系统异常"),
    /**
     * 登录异常
     */
    ERR_4("0004", "登录异常"),
    /**
     * 输入参数错误
     */
    ERR_5("0005", "输入参数错误"),


    /**
     * 数据已存在
     */
    ERR_6("0006", "数据已存在"),
    /**
     * 失效操作失败
     */
    ERR_7("0007", "失效操作失败"),

    ERR_9999("9999", "未知错误");


    private String code;
    private String msg;

    private ErrorCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }


    public String getMsg() {
        return msg;
    }

    @Override
    public String getErrorCode() {
        return null;
    }

    @Override
    public String getErrorMsg() {
        return null;
    }
}
